{% load i18n %}

{% if announcements %}
<div id="announcementAlert" style="display: none; z-index: 1031; box-shadow: none;"
    class="alert alert-info alert-announcement alert-dismissible text-center core-font" role="alert">
    <button type="button" class="close" data-dismiss="alert">
        <span aria-hidden="true"><i class="fas fa-times fa-fw"></i></span>
    </button>
    {% trans 'Announcements' %} <i class="fas fa-chevron-right fa-fw" aria-hidden="true"></i>
    <a href="{% url 'news:announcements_detail' slug=announcements.0.slug %}"> {{ announcements.0.title }}</a>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        if (localStorage.getItem("alertDismissed") != "{{ announcements.0.pk }}") {
            $('#announcementAlert').show();
        }
    });
    $('#announcementAlert .close').click(function () {
        localStorage.setItem("alertDismissed", "{{ announcements.0.pk }}");
        $('#announcementAlert').hide();
    });
</script>
{% endif %}